Bug 1013510 - [abrt] fedup-0.7.3-5.fc17: yum-fast-downloader.py:111:downloadQueuedFiles:PluginYumExit: aria2c exited with exit code: 8
[abrt] fedup-0.7.3-5.fc17: yum-fast-downloader.py:111:downloadQueuedFiles:Plu...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: aria2 (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
abrt_hash:96d617325043564062a2046089b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 05:02 EDT by Allan Poulsen
Modified: 2013-12-31 00:01 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-31 00:01:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.69 KB, text/plain)
2013-09-30 05:02 EDT, Allan Poulsen
no flags Details
File: dso_list (60 bytes, text/plain)
2013-09-30 05:02 EDT, Allan Poulsen
no flags Details
File: environ (3.33 KB, text/plain)
2013-09-30 05:02 EDT, Allan Poulsen
no flags Details

  None (edit)
Description Allan Poulsen 2013-09-30 05:02:34 EDT
Description of problem:
For some reason aria2 does not understand the *_proxy environment variables set in my configuration.

Version-Release number of selected component:
fedup-0.7.3-5.fc17

Additional info:
reporter:       libreport-2.1.7
cmdline:        /usr/bin/python /bin/fedup --verbose --network 19 --reboot
executable:     /bin/fedup
kernel:         3.10.11-100.fc18.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
yum-fast-downloader.py:111:downloadQueuedFiles:PluginYumExit: aria2c exited with exit code: 8

Traceback (most recent call last):
  File "/bin/fedup", line 181, in <module>
    main(args)
  File "/bin/fedup", line 126, in main
    pkgs = download_packages(f)
  File "/bin/fedup", line 66, in download_packages
    f.download_packages(updates, callback=output.DownloadCallback())
  File "/usr/lib/python2.7/site-packages/fedup/download.py", line 200, in download_packages
    updates = self._downloadPackages(callback)
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 6147, in _downloadPackages
    probs = self.downloadPkgs(dlpkgs)
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 2224, in downloadPkgs
    self.plugins.run('predownload', pkglist=pkglist)
  File "/usr/lib/python2.7/site-packages/yum/plugins.py", line 187, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/yum-fast-downloader.py", line 239, in predownload_hook
    downloadQueuedFiles(inputFileName)
  File "/usr/lib/yum-plugins/yum-fast-downloader.py", line 111, in downloadQueuedFiles
    "{0} exited with exit code: {1}".format(downloader_app, ret))
PluginYumExit: aria2c exited with exit code: 8

Local variables in innermost frame:
args: ['aria2c', '--continue', '--check-certificate=false', '--on-download-complete=/usr/libexec/yum-fast-downloader-finalize', '--server-stat-if=/var/cache/yum/x86_64/19/aria2c_server_stats', '--server-stat-of=/var/cache/yum/x86_64/19/aria2c_server_stats', '--max-concurrent-downloads=10', '--min-split-size=1M', '--max-connection-per-server=5', '--input-file=/var/cache/yum/x86_64/19/aria.input']
inputFileName: '/var/cache/yum/x86_64/19/aria.input'
ret: 8
Comment 1 Allan Poulsen 2013-09-30 05:02:46 EDT
Created attachment 805007 [details]
File: backtrace
Comment 2 Allan Poulsen 2013-09-30 05:02:52 EDT
Created attachment 805008 [details]
File: dso_list
Comment 3 Allan Poulsen 2013-09-30 05:02:57 EDT
Created attachment 805009 [details]
File: environ
Comment 4 Will Woods 2013-09-30 08:32:03 EDT
...that'd be a bug in aria2, then. ABRT, you are bad at this.
Comment 5 Fedora End Of Life 2013-12-21 09:38:00 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Rahul Sundaram 2013-12-30 23:09:54 EST
Please file this upstream

Note You need to log in before you can comment on or make changes to this bug.